javax.persistence

## Annotation Type NamedAttributeNode

-     @Target(value={})
      @Retention(value=RUNTIME)
      public @interface NamedAttributeNode

  A `NamedAttributeNode` is a member element of a `NamedEntityGraph`.
  Since:
    Java Persistence 2.1
  See Also:
    `NamedEntityGraph`, `NamedSubgraph`

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `value` (Required) The name of the attribute that must be included in the graph.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `keySubgraph` (Optional) If the attribute references a Map type, this element can be used to specify a subgraph for the Key in the case of an Entity key type.
    `String` | `subgraph` (Optional) If the attribute references a managed type that has its own AttributeNodes, this element is used to refer to that NamedSubgraph definition.

- - ### Element Detail

    - #### value

          public abstract String value

      (Required) The name of the attribute that must be included in the graph.

    - #### subgraph

          public abstract String subgraph

      (Optional) If the attribute references a managed type that has its own AttributeNodes, this element is used to refer to that NamedSubgraph definition. If the target type has inheritance, multiple subgraphs can be specified. These additional subgraphs are intended to add subclass-specific attributes. Superclass subgraph entries will be merged into subclass subgraphs.

      The value of this element is the name of the subgraph as specified by the `name` element of the corresponding `NamedSubgraph` element. If multiple subgraphs are specified due to inheritance, they are referenced by this name.

      Default:
        ""

    - #### keySubgraph

          public abstract String keySubgraph

      (Optional) If the attribute references a Map type, this element can be used to specify a subgraph for the Key in the case of an Entity key type. A keySubgraph can not be specified without the Map attribute also being specified. If the target type has inheritance, multiple subgraphs can be specified. These additional subgraphs are intended to add subclass-specific attributes. Superclass subgraph entries will be merged into subclass subgraphs.

      The value of this element is the name of the key subgraph as specified by the `name` element of the corresponding `NamedSubgraph` element. If multiple key subgraphs are specified due to inheritance, they are referenced by this name.

      Default:
        ""

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.